[SRU] Always backport newer versions

Bug #1529647 reported by Amr Ibrahim on 2015-12-28
36
This bug affects 7 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
High
Unassigned
youtube-dl (Ubuntu)
High
Unassigned

Bug Description

This package has been broken in Trusty since two years now. This package should always be backported from the development release (now Xenial) because the target web services are always evolving.

The rationale for the SRU:

1) The package is a small command-line program
2) Regressions don't make sense since the package becomes useless anyway
3) Packaging burden is small since the package starts from Debian unstable then Ubuntu development release

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in youtube-dl (Ubuntu):
status: New → Confirmed
Eero (eero+launchpad) wrote :

Please remove youtube-dl package from Ubuntu, if you're not going to maintain it and point people directly to the GithHub page.

tags: added: xenial
Changed in youtube-dl (Ubuntu):
importance: Undecided → High
Changed in hundredpapercuts:
status: New → Confirmed
importance: Undecided → High

It's getting frequently updated on getdeb.net:

http://www.getdeb.net/app/youtube-dl

Just to mention this.

Travisgevans (travisgevans) wrote :

My experience agrees. I've found it imperative to upgrade the script on a regular basis to ensure it keeps working. YouTube messes with stuff all the time, and it's rarely long before an outdated version breaks. I had to abandon using the official package and just maintain my own local copy (fortunately, ‘youtube-dl -U’ makes this pretty quick and painless).

@ travisgevans

Guessing this option is pretty well described in the programs documentation:

Either youtube-dl -help or man youtube-dl ?

AsciiWolf (asciiwolf) wrote :

The current version in Xenial is also broken.

AsciiWolf (asciiwolf) on 2016-09-21
tags: added: yakkety
Iain Lane (laney) wrote :

I think someone should write this up in a post to <email address hidden>, and also offer to do the work. I'm not on the SRU team but I don't see on the face of it why this would be rejected in principle, assuming that compatibility is always maintained (for example commandline switches are never removed).

AsciiWolf (asciiwolf) on 2017-06-16
tags: added: artful zesty
aaronfranke (arnfranke) wrote :

This is still a problem, by the way. I may have made a duplicate of this bug.

https://bugs.launchpad.net/ubuntu/+source/youtube-dl/+bug/1704368

AsciiWolf (asciiwolf) wrote :

Any news?

YCH (yan12125) wrote :

Hello an youtube-dl current maintainer here. I'd like to write something as a vote for this issue.

There were several times, that a new version
with important fixes (fix for YouTube downloading, etc.) was released, and
lots of people came to our issue tracker for "broken" YouTube downloading
because the Ubuntu version was not updated yet. As a result, I hope Ubuntu can
keep it updated. Of course users can also install from PPAs or maintain youtube-dl version themselves. I
just feel the official package integrates with the system better, and IMO users are likely to try official packages first.

AsciiWolf (asciiwolf) on 2017-10-26
summary: - [SRU] Always backport newer versions to trusty-updates
+ [SRU] Always backport newer versions

Just for the record, I have uploaded a new version of youtube-dl to Debian unstable.

It would be super nice if people pulled it from there (or from testing, if the recent phantomjs recommends can't be satisfied/is not desired).

Actually, it would be super nice to have it updated to avoid people pestering upstream.

Rogério Brito.

AsciiWolf (asciiwolf) on 2017-11-09
tags: added: bionic
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers